#!/bin/bash

#SBATCH --job-name=test
#SBATCH --output=test.out
#SBATCH --open-mode=append
#SBATCH --time=0-00:02:30
#SBATCH --signal=B:USR1@60
#SBATCH --ntasks=1
#SBATCH --partition=debug

timeout(){
  scancel -s SIGINT $SLURM_JOB_ID
  scontrol requeue $SLURM_JOB_ID
}

trap 'timeout' USR1

date 
echo "restarted ${SLURM_RESTART_COUNT-0}"
module load releases/2017b
module load Python/2.7.14-foss-2017b
python --version
srun --overcommit -n1 python -u count-signal.py & #|| scontrol requeue ${SLURM_JOB_ID} 
wait
